Kerbal Space Program - Bug #26965

Incorrect fuel priority with TwinBoar and additional fuel tanks
01/04/2021 07:37 AM - Aikr

Status: Confirmed Start date: 01/04/2021
Severity: Low % Done: 10%
Assignee: victorr
Category: Parts
Target version:
Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

When additional fuel tanks added to TwinBoar engine (except this engine is root part), these tanks has incorrect fuel priority (usually

engine priority +10).

If engines uses in symmetry for aspsragus staging, all additional tanks has equal priority (max engine priority +10); this leads to an

incorrect order of emptying the tanks.

HOW TO REPLICATE:

1. Make central core of rocket (for example, Mk1-3 Command Pod, Rockomax Jumbo-64 Fuel tank and "Mainsail" engine).

2. Set 4x symmetry mode.

3. Add 4 any radial decouplers to central core.
4. Place TwinBoar engines on decouplers.

5. Add any fuel tanks on these engines.

Expected: the tanks fuel priority equal to the priority of the engines.
Result/Observed: priority of tanks is 10 more (see screenshot 1).

6. Set staging to asparagus (move two of decouplers to new stage).

Expected: additional tanks fuel priority is different.
Result/Observed: priority of all additional tanks is equal (see screenshot 2).

Game version:

1.11.0.3045 (Windows Player x64) en-us, Steam (but it also happens in 1.10)
1.11.0 Making History

1.6.0 Breaking Ground

No any mods

History

#1 - 01/05/2021 01:18 PM - VoidSquid

| can confirm this for KSP 1.10.1 too.

#2 - 01/05/2021 02:49 PM - victorr
- Status changed from New to Confirmed
- Assignee set to victorr

- % Done changed from 0 to 10
